## ros-indigo-pid 0.0.27

=== debian/changelog ===
ros-indigo-pid (0.0.27-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Andy Zelenak <andyz@utexas.edu>  Sun, 15 Jul 2018 01:57:34 -0000

ros-indigo-pid (0.0.15-0trusty) trusty; urgency=high

  * Fixing header "include" error, possible dynamic_reconfigure errors.
  * Contributors: Andy Zelenak

 -- Andy Zelenak <andyz@utexas.edu>  Mon, 22 Feb 2016 06:00:00 -0000

ros-indigo-pid (0.0.10-0trusty) trusty; urgency=high

  * Add diagnostics running at 4Hz. Publish interesting data like setpoint, plant state,
  error, control effort in diags for viewing
  * Add ROS private parameters to set Pid params and simulator param
  * Add Auto/Manual mode: Listen to the /pid_enable topic for a std_msgs/Bool
  that will disable or re-enable output from the PID controller
  * Support reverse_acting parameter, for plants where the control input acts
  in the opposite direction to the plant-state. E.g. Differential-drive robots
  often have one direct and one reverse-acting PID
  * Support faster-than-wallclock simulation via a /clock publisher and the
  /use_sim_time parameter
  * Add launch files for first & 2nd order behaviors. Get them to launch plots,
  diag monitor, reconfigure gui
  * Split setpoint generator out into a separate node
  * Rename simulator to plant_sim.cpp & give it 1st & 2nd order behaviors, configured
  with a parameter.
  * Delete first_order_plant_sim.cpp, which is subsumed into plant_sim.cpp. Remove
  plant header, which was almost content-free.
  * Remove msg directory & switch to using Float64 messages for setpoint,
  process state, & control effort. Now it's generic - no special messages needed.
  * Explicitly call out std namespace to avoid accidental name conflicts
  * Remove parameter length checks to allow parameters to be set in part from
  launch file (the usual way), and in part from cmd line args (an infrequently-used
  way)
  * Rename pid_header.h to controller.h because it's used by controller.cpp - more standard
  C++ naming style
  * Add copyrights
  * Contributors: AndyZe, Paul Bouchier

 -- Andy Zelenak <andyz@utexas.edu>  Mon, 25 Jan 2016 06:00:00 -0000

ros-indigo-pid (0.0.9-0trusty) trusty; urgency=high

  * Merged in bouchier/pid (pull request #1)
    Add dynamic reconfigure for Kx, change plant setpoint
  * add dynamic reconfigure for Kx, change plant setpoint
  * Contributors: AndyZe, Paul Bouchier

 -- Andy Zelenak <andyz@utexas.edu>  Sun, 27 Dec 2015 06:00:00 -0000

ros-indigo-pid (0.0.7-0trusty) trusty; urgency=high

  * Added a launch file, which required the arguments to be processed differently.
  * Contributors: Andy Zelenak

 -- Andy Zelenak <andyz@utexas.edu>  Sun, 26 Jul 2015 05:00:00 -0000

ros-indigo-pid (0.0.6-0trusty) trusty; urgency=high

  * Changing the way parameters are passed to check_user_input().
  * Contributors: Andy Zelenak

 -- Andy Zelenak <andyz@utexas.edu>  Tue, 09 Jun 2015 05:00:00 -0000

ros-indigo-pid (0.0.5-0trusty) trusty; urgency=high

  * Adding an anti-windup option.
  * Contributors: Andy Zelenak

 -- Andy Zelenak <andyz@utexas.edu>  Tue, 09 Jun 2015 05:00:00 -0000

ros-indigo-pid (0.0.3-0trusty) trusty; urgency=high



 -- Andy Zelenak <andyz@utexas.edu>  Sat, 14 Mar 2015 05:00:00 -0000

ros-indigo-pid (0.0.2-0trusty) trusty; urgency=high



 -- Andy Zelenak <andyz@utexas.edu>  Fri, 13 Mar 2015 05:00:00 -0000

ros-indigo-pid (0.0.1-0trusty) trusty; urgency=high

  * Fixing various minor bugs related to user input.
  * Pre-release commit.
  * It WORKS!
  * It's talking with the plant sim now. Just the PID programming remains.
  * Making progress with the command line input.
  * Rough outline of the program. Need to take inputs on the command line next.
  * Initial commit
  * Contributors: Andy Zelenak

 -- Andy Zelenak <andyz@utexas.edu>  Sun, 08 Mar 2015 06:00:00 -0000
