=== debian/control ===
Source: ros-indigo-pid
Section: misc
Priority: extra
Maintainer: Andy Zelenak <andyz@utexas.edu>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-dynamic-reconfigure, ros-indigo-message-generation, ros-indigo-roscpp, ros-indigo-std-msgs
Homepage: http://wiki.ros.org/pid
Standards-Version: 3.9.2

Package: ros-indigo-pid
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-dynamic-reconfigure, ros-indigo-message-runtime, ros-indigo-roscpp, ros-indigo-std-msgs
Description: Launch a PID control node.
